### Virtual Method

# Gdk.ContentProvider.write_mime_type_finish

#### Declaration [src]

    gboolean
    write_mime_type_finish (
      GdkContentProvider* provider,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous write operation.

See `gdk_content_provider_write_mime_type_async()`.

#### Parameters

`result` | `GAsyncResult*`
| a `GAsyncResult`
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if the operation was completed successfully. Otherwise `error` will be set to describe the failure.